GuideLab API

List partner labs for the clinic

Returns all labs that have a partnership with the authenticated clinic, including lab contact details and partnership status. Clinic-only endpoint.

GET
/clinic/labs

Returns all labs that have a partnership with the authenticated clinic, including lab contact details and partnership status. Clinic-only endpoint.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/clinic/labs"
{  "data": [    {      "id": "string",      "labId": "string",      "labName": "string",      "labLogo": "string",      "labCity": "string",      "labPhone": "string",      "labEmail": "string",      "status": "string",      "createdAt": "string"    }  ]}
Empty